## Sensu-Plugins-docker

## Functionality
This check supports docker versions >= 1.18. Check docker-engine API for more information  

The check-service.rb and check-service-logs.rb are only supported for docker when run in swarm mode

## Files
 * check-container.rb
 * check-service.rb
 * check-container-logs.rb
 * check-service-logs.rb
 * check-docker-container.rb
 * metrics-docker-container.rb
 * metrics-docker-stats.rb
 * metrics-docker-info.rb

## Usage

### Default docker host
By default, all the checks will try to use a default docker host if a specific docker host is not provided to the check on the command line (-H <docker_host> / --docker-host <docker_host>).

Those paramaters will be tried in this order as default docker host :

    DOCKER_URL environnement variable
    DOCKER_HOST environnement variable
    /var/run/docker.sock file

## Installation

[Installation and Setup](http://sensu-plugins.io/docs/installation_instructions.html)

## Notes
[docker-engine API](https://docs.docker.com/engine/api/v1.29/#section/Versioning)
